%define		_class		PEAR
%define		_subclass	Frontend
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}_Web

Summary:	%{_pearname} - HTML (Web) PEAR package manager
Name:		php-pear-%{_pearname}
Version:	0.7.0
Release:	%mkrel 1
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tar.bz2
URL:		http://pear.php.net/package/PEAR_Frontend_Web/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Provides:	pear(Frontend)
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRequires:	recode
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Web interface to the PEAR package manager. Needed only when you want
to use PEAR from their CVS.

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

# fix bad xml
recode -d latin-1..html < package.xml > package.xml~
mv package.xml~ package.xml

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Web
install -d %{buildroot}%{_datadir}/pear/data/%{_pearname}/data/{images,templates}

install %{_pearname}-%{version}/pearfrontendweb.php %{buildroot}%{_datadir}/pear/%{_class}/
install %{_pearname}-%{version}/%{_subclass}/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}
install %{_pearname}-%{version}/%{_subclass}/Web/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Web

install %{_pearname}-%{version}/data/*.js %{buildroot}%{_datadir}/pear/data/%{_pearname}/data/
install %{_pearname}-%{version}/data/*.css %{buildroot}%{_datadir}/pear/data/%{_pearname}/data/
install %{_pearname}-%{version}/data/images/* %{buildroot}%{_datadir}/pear/data/%{_pearname}/data/images/
install %{_pearname}-%{version}/data/templates/* %{buildroot}%{_datadir}/pear/data/%{_pearname}/data/templates/

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/docs/* %{_pearname}-%{version}/README
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Web
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Web/*.php
%{_datadir}/pear/packages/%{_pearname}.xml
%{_datadir}/pear/data/%{_pearname}/data


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2008.0
+ Revision: 32739
- fix build
- 0.7.0

* Sat Apr 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.0
+ Revision: 18935
- 0.6.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-1mdv2008.0
+ Revision: 15727
- 0.5.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdv2007.0
+ Revision: 82501
- Import php-pear-PEAR_Frontend_Web

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdk
- 0.5.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4-8mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdk
- initial Mandriva package (PLD import)

